"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }var _logbase = require('../../common/log/log-base');
var _logcolors = require('../../common/log/log-colors');
var _logfilter = require('../../common/log/log-filter');
var _logcolors3 = require('./log-colors');
function LoggerBrowserSetupDebugFactory(opt = {}) {
  const filter = _nullishCoalesce(_nullishCoalesce(opt.filter, () => ( localStorage.zeed)), () => ( localStorage.debug));
  const styleFont = 'font-family: "JetBrains Mono", Menlo; font-size: 11px;';
  const styleDefault = `${styleFont}`;
  const styleBold = `font-weight: 600; ${styleFont}`;
  const useColors = _logcolors3.browserSupportsColors.call(void 0, );
  const noop = () => {
  };
  return function LoggerBrowserDebugFactory(name = "", logLevel) {
    let log;
    const matches = _logfilter.useNamespaceFilter.call(void 0, filter);
    const level = _logfilter.parseLogLevel.call(void 0, _nullishCoalesce(logLevel, () => ( _logbase.LogLevelAll)));
    if (matches(name) && level !== _logbase.LogLevelOff) {
      let defineForLogLevel2 = function(fnLevel, fn) {
        if (level <= fnLevel)
          return fn;
        return () => {
        };
      };
      var defineForLogLevel = defineForLogLevel2;
      const fixedArgs = [];
      if (useColors) {
        const color = _logcolors.browserSelectColorByName.call(void 0, name);
        fixedArgs.push(`%c${name.padEnd(16, " ")}%c 	%s`);
        fixedArgs.push(`color:${color}; ${styleBold}`);
        fixedArgs.push(styleDefault);
      } else {
        fixedArgs.push(`[${name}] 	%s`);
      }
      log = defineForLogLevel2(_logbase.LogLevelDebug, console.debug.bind(console, ...fixedArgs));
      log.debug = defineForLogLevel2(_logbase.LogLevelDebug, console.debug.bind(console, ...fixedArgs));
      log.info = defineForLogLevel2(_logbase.LogLevelInfo, console.info.bind(console, ...fixedArgs));
      log.warn = defineForLogLevel2(_logbase.LogLevelWarn, console.warn.bind(console, ...fixedArgs));
      log.error = defineForLogLevel2(_logbase.LogLevelError, console.error.bind(console, ...fixedArgs));
      log.fatal = defineForLogLevel2(_logbase.LogLevelFatal, (...args) => {
        log.error(...args);
        throw new Error(`${args.map(String).join(" ")}`);
      });
      log.assert = defineForLogLevel2(_logbase.LogLevelFatal, (condition, ...args) => {
        if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
          log.fatal(...args);
      });
    } else {
      log = () => {
      };
      log.debug = noop;
      log.info = noop;
      log.warn = noop;
      log.error = noop;
      log.assert = noop;
      log.fatal = noop;
    }
    log.extend = (subName) => {
      return LoggerBrowserDebugFactory(name ? `${name}:${subName}` : subName);
    };
    log.label = name;
    return log;
  };
}
function activateConsoleDebug(_opt = {}) {
  console.info("activateConsoleDebug is activated by default in browsers");
}



exports.LoggerBrowserSetupDebugFactory = LoggerBrowserSetupDebugFactory; exports.activateConsoleDebug = activateConsoleDebug;
//# sourceMappingURL=log-browser-factory.cjs.map