import { isEmpty } from "../../common";
import { getGlobalLogger } from "../../common/log";
import { isBrowser } from "../../common/platform";
import { LoggerBrowserHandler } from "./log-browser";
import { LoggerBrowserSetupDebugFactory } from "./log-browser-factory";
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
export {
  Logger
};
//# sourceMappingURL=log-context-browser.js.map