import { getGlobalLoggerIfExists } from "./log";
function fatal(...messages) {
  getGlobalLoggerIfExists()?.("assert")?.fatal(...messages);
  throw new Error(`${messages.map(String).join(" ")}`);
}
function assert(condition, ...messages) {
  if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
    fatal(...messages);
}
function assertCondition(condition, ...messages) {
  assert(condition, ...messages);
}
export {
  assert,
  assertCondition,
  fatal
};
//# sourceMappingURL=assert.js.map