"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _bin = require('./bin');
function dataUriToUint8Array(dataUri) {
  if (dataUri.startsWith("data:"))
    return _bin.fromBase64.call(void 0, dataUri.split(",", 2)[1]);
}
function dataUriToMimeType(dataUri) {
  if (dataUri.startsWith("data:"))
    return dataUri.slice(5).split(",", 2)[0];
}
function dataUriToBlob(dataUri) {
  if (dataUri.startsWith("data:")) {
    const [mimeString, base64String] = dataUri.slice(5).split(",", 2);
    return new Blob([_bin.fromBase64.call(void 0, base64String)], { type: mimeString });
  }
}
async function blobToDataUri(blob) {
  const bin = await blob.arrayBuffer();
  if (bin)
    return `data:${blob.type},${_bin.toBase64.call(void 0, bin)}`;
}
function Uint8ArrayToDataUri(bin, type = "application/octet-stream") {
  return `data:${type},${_bin.toBase64.call(void 0, bin)}`;
}






exports.Uint8ArrayToDataUri = Uint8ArrayToDataUri; exports.blobToDataUri = blobToDataUri; exports.dataUriToBlob = dataUriToBlob; exports.dataUriToMimeType = dataUriToMimeType; exports.dataUriToUint8Array = dataUriToUint8Array;
//# sourceMappingURL=datauri.cjs.map