import { fromBase64, toBase64 } from "./bin";
function dataUriToUint8Array(dataUri) {
  if (dataUri.startsWith("data:"))
    return fromBase64(dataUri.split(",", 2)[1]);
}
function dataUriToMimeType(dataUri) {
  if (dataUri.startsWith("data:"))
    return dataUri.slice(5).split(",", 2)[0];
}
function dataUriToBlob(dataUri) {
  if (dataUri.startsWith("data:")) {
    const [mimeString, base64String] = dataUri.slice(5).split(",", 2);
    return new Blob([fromBase64(base64String)], { type: mimeString });
  }
}
async function blobToDataUri(blob) {
  const bin = await blob.arrayBuffer();
  if (bin)
    return `data:${blob.type},${toBase64(bin)}`;
}
function Uint8ArrayToDataUri(bin, type = "application/octet-stream") {
  return `data:${type},${toBase64(bin)}`;
}
export {
  Uint8ArrayToDataUri,
  blobToDataUri,
  dataUriToBlob,
  dataUriToMimeType,
  dataUriToUint8Array
};
//# sourceMappingURL=datauri.js.map