"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }var _utils = require('./utils');
function isObject(obj) {
  return obj != null && typeof obj === "object";
}
function isPrimitive(obj) {
  return Object(obj) !== obj;
}
function isArray(obj) {
  return Array.isArray(obj);
}
function isRecord(obj) {
  return isObject(obj) && !isArray(obj);
}
function isRecordPlain(obj) {
  return _optionalChain([obj, 'optionalAccess', _ => _.constructor]) === Object;
}
function isString(obj) {
  return typeof obj === "string";
}
function isNumber(obj) {
  return typeof obj === "number" && !Number.isNaN(obj);
}
function isInteger(obj) {
  return isNumber(obj) && Number.isInteger(obj);
}
function isSafeInteger(obj) {
  return isNumber(obj) && Number.isSafeInteger(obj);
}
function isBoolean(obj) {
  return typeof obj === "boolean";
}
function isNullOrUndefined(obj) {
  return obj == null;
}
function isNull(obj) {
  return obj == null;
}
function isUint8Array(obj) {
  return isObject(obj) && obj.constructor.name === "Uint8Array";
}
function isNotNull(value) {
  return value != null;
}
function isEmpty(value) {
  return value == null || value === "" || isObject(value) && _utils.size.call(void 0, value) <= 0;
}
function isNotEmpty(value) {
  return !isEmpty(value);
}
function isValue(value) {
  return value != null && value !== false && value !== true;
}
function isTruthy(value) {
  return value != null && value !== false && value !== 0 && value !== "";
}



















exports.isArray = isArray; exports.isBoolean = isBoolean; exports.isEmpty = isEmpty; exports.isInteger = isInteger; exports.isNotEmpty = isNotEmpty; exports.isNotNull = isNotNull; exports.isNull = isNull; exports.isNullOrUndefined = isNullOrUndefined; exports.isNumber = isNumber; exports.isObject = isObject; exports.isPrimitive = isPrimitive; exports.isRecord = isRecord; exports.isRecordPlain = isRecordPlain; exports.isSafeInteger = isSafeInteger; exports.isString = isString; exports.isTruthy = isTruthy; exports.isUint8Array = isUint8Array; exports.isValue = isValue;
//# sourceMappingURL=is.cjs.map