"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }function getSecureRandom() {
  return crypto.getRandomValues(new Uint32Array(1))[0] / 4294967295;
}
function getSecureRandomIfPossible() {
  return typeof crypto !== "undefined" ? getSecureRandom() : Math.random();
}
function randomBoolean(bias = 0.25) {
  return getSecureRandomIfPossible() < bias;
}
function randomInt(max = 100, min = 0) {
  return min + Math.floor(getSecureRandomIfPossible() * (max - min));
}
function randomFloat(max = 100, min = 0) {
  return min + getSecureRandomIfPossible() * (max - min);
}
function between(min, value, max) {
  return Math.max(min, Math.min(max, value));
}
function sum(array) {
  return array.reduce((acc, value) => acc + value, 0);
}
function avg(array) {
  return sum(array) / array.length;
}
function isPrimeRX(value) {
  return !/^1?$|^(11+?)\1+$/.test("1".repeat(value));
}
function isPrime(value) {
  for (let i = 2; i < value; i++) {
    if (value % i === 0)
      return false;
  }
  return value > 1;
}
let _seed = 6;
function seededRandom(max = 0, min = 1, seed) {
  _seed = ((_nullishCoalesce(seed, () => ( _seed))) * 9301 + 49297) % 233280;
  const rnd = _seed / 233280;
  return min + rnd * (max - min);
}












exports.avg = avg; exports.between = between; exports.getSecureRandom = getSecureRandom; exports.getSecureRandomIfPossible = getSecureRandomIfPossible; exports.isPrime = isPrime; exports.isPrimeRX = isPrimeRX; exports.randomBoolean = randomBoolean; exports.randomFloat = randomFloat; exports.randomInt = randomInt; exports.seededRandom = seededRandom; exports.sum = sum;
//# sourceMappingURL=math.cjs.map