"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _regexp = require('./regexp');
const MAX_FILENAME_LENGTH = 100;
const reRelativePath = /^\.+/;
const reTrailingPeriods = /\.+$/;
const reFilenameIllegal = /[<>:\"/\\|?*\u0000-\u001F\u0080-\u009F]+/gm;
function filenameReservedRegex() {
  return reFilenameIllegal;
}
function windowsReservedNameRegex() {
  return /^(con|prn|aux|nul|com\d|lpt\d)$/i;
}
function toValidFilename(string, replacement = "_") {
  if (typeof string !== "string")
    throw new TypeError("Expected a string");
  if (filenameReservedRegex().test(replacement))
    throw new Error("Replacement string cannot contain reserved filename characters");
  const reReplacement = `(${_regexp.escapeRegExp.call(void 0, replacement)})+`;
  string = string.replace(filenameReservedRegex(), replacement).replace(reRelativePath, replacement).replace(reTrailingPeriods, "").replace(new RegExp(reReplacement, "gm"), replacement).trim();
  string = windowsReservedNameRegex().test(string) ? string + replacement : string;
  return string.slice(0, MAX_FILENAME_LENGTH);
}


exports.toValidFilename = toValidFilename;
//# sourceMappingURL=path.cjs.map