"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _promise = require('./promise');
function useMutex() {
  let token = true;
  return (fn, elseFn) => {
    let executed = false;
    if (token) {
      token = false;
      try {
        fn();
        executed = true;
      } finally {
        token = true;
      }
    } else if (elseFn !== void 0) {
      elseFn();
    }
    return executed;
  };
}
function useAsyncMutex() {
  let token = true;
  return async (fn, elseFn) => {
    let executed = false;
    if (token) {
      token = false;
      try {
        const result = fn();
        if (_promise.isPromise.call(void 0, result))
          await result;
        executed = true;
      } finally {
        token = true;
      }
    } else if (elseFn !== void 0) {
      const result = elseFn();
      if (_promise.isPromise.call(void 0, result))
        await result;
    }
    return executed;
  };
}



exports.useAsyncMutex = useAsyncMutex; exports.useMutex = useMutex;
//# sourceMappingURL=mutex.cjs.map