"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _logbase = require('./log-base');
var _logfilter = require('./log-filter');
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _logfilter.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _logfilter.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _logbase.LogLevelInfo:
        console.info(..._logfilter.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _logbase.LogLevelWarn:
        console.warn(..._logfilter.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _logbase.LogLevelError:
        console.error(..._logfilter.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        console.debug(..._logfilter.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}


exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=log-console.cjs.map