import { getTimestamp } from "../time";
import { useLevelFilter, useNamespaceFilter } from "./log-filter";
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, messages = [] } = opt;
  const matchesNamespace = useNamespaceFilter(filter);
  const matchesLevel = useLevelFilter(level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    msg.timestamp = getTimestamp();
    messages.push(msg);
  };
}
export {
  LoggerMemoryHandler
};
//# sourceMappingURL=log-memory.js.map