"use strict";var _logbase = require('./log-base');
var _logcontext = require('./log-context');
var _logmemory = require('./log-memory');
describe("log-memory", () => {
  it("should log into memory", async () => {
    const messages = [];
    const logger = _logcontext.LoggerContext.call(void 0, );
    logger.setHandlers([
      _logmemory.LoggerMemoryHandler.call(void 0, {
        level: _logbase.LogLevelAll,
        filter: "*",
        messages
      })
    ]);
    const log = logger("test");
    log("Simple");
    log.debug("Hello");
    log.info("World");
    log.warn("is on");
    log.error("Fire");
    try {
      log.assert(false, "Fatal");
    } catch (err) {
    }
    expect(messages.map((msg) => {
      delete msg.timestamp;
      return msg;
    })).toMatchInlineSnapshot(`
      Array [
        Object {
          "level": 0,
          "messages": Array [
            "Simple",
          ],
          "name": "test",
        },
        Object {
          "level": 0,
          "messages": Array [
            "Hello",
          ],
          "name": "test",
        },
        Object {
          "level": 1,
          "messages": Array [
            "World",
          ],
          "name": "test",
        },
        Object {
          "level": 2,
          "messages": Array [
            "is on",
          ],
          "name": "test",
        },
        Object {
          "level": 3,
          "messages": Array [
            "Fire",
          ],
          "name": "test",
        },
        Object {
          "level": 4,
          "messages": Array [
            "Fatal",
          ],
          "name": "test",
        },
      ]
    `);
  });
});
//# sourceMappingURL=log-memory.spec.cjs.map