"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _crypto = require('../crypto');
var _bin = require('../data/bin');
class NoopEncoder {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
}
class JsonEncoder {
  async encode(data) {
    return _bin.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _bin.Uint8ArrayToJson.call(void 0, data);
  }
}
class CryptoEncoder {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _bin.jsonToUint8Array.call(void 0, data);
    return await _crypto.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _crypto.decrypt.call(void 0, data, this.key);
    return _bin.Uint8ArrayToJson.call(void 0, plain);
  }
}




exports.CryptoEncoder = CryptoEncoder; exports.JsonEncoder = JsonEncoder; exports.NoopEncoder = NoopEncoder;
//# sourceMappingURL=encoder.cjs.map