"use strict";var _ = require('..');
var _3 = require('.');
describe("encoder", () => {
  it("should encode json", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const encoder = new (0, _3.JsonEncoder)();
    const enc = await encoder.encode(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
  it("should encode crypto", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const key = await _.deriveKeyPbkdf2.call(void 0, _.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _3.CryptoEncoder)(key);
    const enc = await encoder.encode(sample);
    expect(enc).not.toEqual(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
});
//# sourceMappingURL=encoder.spec.cjs.map