import { deriveKeyPbkdf2, randomUint8Array } from "..";
import { CryptoEncoder, JsonEncoder } from ".";
describe("encoder", () => {
  it("should encode json", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const encoder = new JsonEncoder();
    const enc = await encoder.encode(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
  it("should encode crypto", async () => {
    const sample = {
      name: "Hello \u2192 w\xF6rld \u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}",
      list: [1, false, "test"],
      num: 1
    };
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const enc = await encoder.encode(sample);
    expect(enc).not.toEqual(sample);
    const back = await encoder.decode(enc);
    expect(back).toEqual(sample);
  });
});
//# sourceMappingURL=encoder.spec.js.map