"use strict"; function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }var _crypto = require('../crypto');
var _channel = require('./channel');
var _encoder = require('./encoder');
var _messages = require('./messages');
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return _nullishCoalesce(args[0], () => ( 0));
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await _crypto.deriveKeyPbkdf2.call(void 0, _crypto.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _encoder.CryptoEncoder)(key);
    const [clientChannel, serverChannel] = _channel.createLocalChannelPair.call(void 0, );
    const serverHub = _messages.useMessageHub.call(void 0, { channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = _messages.useMessageHub.call(void 0, { channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.cjs.map