"use strict";var _network = require('./network');
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await _network.fetchText.call(void 0, "https://holtwick.de");
      expect(html).toContain("<html");
    } else {
      const html = await _network.fetchText.call(void 0, "/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(_network.parseBasicAuth.call(void 0, url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.cjs.map