"use strict"; function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { newObj[key] = obj[key]; } } } newObj.default = obj; return newObj; } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }var _nodepath = require('node:path');
var _esbuild = require('esbuild'); var esbuild = _interopRequireWildcard(_esbuild);
describe("treeshake", () => {
  it("should shake it", async () => {
    const code = `          
      import { arrayUnion } from './index.browser.ts'
 
      let a = [1,2,3,3,4]
      let aa = arrayUnion(a)

      console.log('result arrayUnion', aa)
    `;
    const opt = {
      stdin: {
        contents: code,
        resolveDir: _nodepath.resolve.call(void 0, __dirname)
      },
      write: false,
      bundle: true,
      treeShaking: true,
      minify: false
    };
    const result1 = await esbuild.build(opt);
    expect(_optionalChain([result1, 'optionalAccess', _ => _.outputFiles, 'optionalAccess', _2 => _2[0], 'optionalAccess', _3 => _3.text])).toMatchInlineSnapshot(`
      "(() => {
        // src/common/data/array.ts
        function arrayUnique(x) {
          return x.filter((n, index) => x.indexOf(n) === index);
        }
        function arrayUnion(...a2) {
          return arrayUnique(a2.reduce((acc = [], value) => acc.concat(value), []));
        }

        // <stdin>
        var a = [1, 2, 3, 3, 4];
        var aa = arrayUnion(a);
        console.log("result arrayUnion", aa);
      })();
      "
    `);
  });
  it("should shake it in dist as well", async () => {
    const code = `          
      import { arrayUnion } from '..'
 
      let a = [1,2,3,3,4]
      let aa = arrayUnion(a)

      console.log('result arrayUnion', aa)
    `;
    const opt = {
      stdin: {
        contents: code,
        resolveDir: _nodepath.resolve.call(void 0, __dirname)
      },
      write: false,
      bundle: true,
      treeShaking: true,
      minify: false
    };
    const result1 = await esbuild.build(opt);
    expect(_optionalChain([result1, 'optionalAccess', _4 => _4.outputFiles, 'optionalAccess', _5 => _5[0], 'optionalAccess', _6 => _6.text])).toMatchInlineSnapshot(`
      "(() => {
        // dist/common/data/array.js
        function arrayUnique(x) {
          return x.filter((n, index) => x.indexOf(n) === index);
        }
        function arrayUnion(...a2) {
          return arrayUnique(a2.reduce((acc = [], value) => acc.concat(value), []));
        }

        // <stdin>
        var a = [1, 2, 3, 3, 4];
        var aa = arrayUnion(a);
        console.log("result arrayUnion", aa);
      })();
      "
    `);
  });
});
//# sourceMappingURL=index.spec.cjs.map