"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } async function _asyncNullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return await rhsFn(); } }var _promises = require('node:fs/promises');
var _nodepath = require('node:path');
var _nodeprocess = require('node:process'); var _nodeprocess2 = _interopRequireDefault(_nodeprocess);
var _fs = require('./fs');
var _glob = require('./glob');
async function getStatAsync(path) {
  try {
    return await _promises.stat.call(void 0, path);
  } catch (err) {
  }
}
async function getFingerprintAsync(path) {
  const { mtimeMs, size } = await _asyncNullishCoalesce(await getStatAsync(path), async () => ( {}));
  return `${path}|${mtimeMs}|${size}`;
}
async function walkSyncAsync(rootFolder, subFolder = "", ignoreHidden = true) {
  let resultPaths = [];
  const paths = await _promises.readdir.call(void 0, _nodepath.resolve.call(void 0, rootFolder, subFolder));
  if (paths != null && paths.length > 0) {
    for (let file of paths) {
      file = _nodepath.join.call(void 0, subFolder, file);
      if (ignoreHidden && _fs.isHiddenPath.call(void 0, file))
        continue;
      const realFile = _nodepath.join.call(void 0, rootFolder, file);
      const stat2 = await getStatAsync(realFile);
      if (stat2 && stat2.isDirectory())
        resultPaths = resultPaths.concat(await walkSyncAsync(rootFolder, file) || []);
      else
        resultPaths.push(file);
    }
  }
  return resultPaths;
}
async function filesAsync(opt = {}) {
  let {
    pattern,
    filter,
    basePath = _nodeprocess2.default.cwd(),
    ignoreHidden = false
  } = opt;
  let paths = await walkSyncAsync(basePath, "", ignoreHidden);
  paths = paths.filter(
    (path) => !(ignoreHidden && (path.startsWith(".") || path.includes("/.")))
  );
  if (pattern) {
    if (typeof pattern === "string")
      pattern = _glob.globToRegExp.call(void 0, pattern);
    if (pattern instanceof RegExp) {
      const rx = pattern;
      rx.lastIndex = 0;
      paths = paths.filter((path) => rx.test(path));
    }
  }
  if (filter)
    paths = paths.filter(filter);
  return paths;
}





exports.filesAsync = filesAsync; exports.getFingerprintAsync = getFingerprintAsync; exports.getStatAsync = getStatAsync; exports.walkSyncAsync = walkSyncAsync;
//# sourceMappingURL=files-async.cjs.map