"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }var _promises = require('node:fs/promises');
var _nodepath = require('node:path');
var _nodeprocess = require('node:process'); var _nodeprocess2 = _interopRequireDefault(_nodeprocess);
function toHumanReadableFilePath(path) {
  const p = _nodepath.normalize.call(void 0, path);
  const h = _nodeprocess2.default.env.HOME;
  if (h && p.startsWith(h))
    return `~${p.slice(h.length)}`;
  return p;
}
async function exists(path) {
  try {
    await _promises.stat.call(void 0, path);
  } catch (err) {
    return false;
  }
  return true;
}
function isHiddenPath(path) {
  return path.startsWith(".") || path.includes("/.");
}
async function ensureFolder(...parts) {
  const path = _nodepath.join.call(void 0, ...parts);
  if (!await exists(path))
    await _promises.mkdir.call(void 0, path, { recursive: true });
  return path;
}
async function removeFolder(...parts) {
  const path = _nodepath.join.call(void 0, ...parts);
  if (await exists(path))
    await _promises.rm.call(void 0, path, { recursive: true });
  return path;
}
async function readText(...parts) {
  const path = _nodepath.join.call(void 0, ...parts);
  if (await exists(path))
    return await _promises.readFile.call(void 0, path, "utf-8");
}
async function writeText(path, content) {
  await _promises.writeFile.call(void 0, path, content, "utf-8");
}








exports.ensureFolder = ensureFolder; exports.exists = exists; exports.isHiddenPath = isHiddenPath; exports.readText = readText; exports.removeFolder = removeFolder; exports.toHumanReadableFilePath = toHumanReadableFilePath; exports.writeText = writeText;
//# sourceMappingURL=fs.cjs.map