"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }var _nodeprocess = require('node:process'); var _nodeprocess2 = _interopRequireDefault(_nodeprocess);
var _common = require('../../common');
var _log = require('../../common/log');
var _env = require('../env');
var _logfile = require('./log-file');
var _lognode = require('./log-node');
function Logger(name, level) {
  return _log.getGlobalLogger.call(void 0, (context) => {
    const handlers = [
      _lognode.LoggerNodeHandler.call(void 0, {
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = _nullishCoalesce(_nodeprocess2.default.env.ZEED_LOG, () => ( _nodeprocess2.default.env.LOG));
    const time = _common.valueToBoolean.call(void 0, _nodeprocess2.default.env.ZEED_TIME, true);
    const pretty = _common.valueToBoolean.call(void 0, _nodeprocess2.default.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(_logfile.LoggerFileHandler.call(void 0, _env.toPath.call(void 0, logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}


exports.Logger = Logger;
//# sourceMappingURL=log-context-node.cjs.map