"use strict";var _nodefs = require('node:fs');
var _promise = require('../../common/exec/promise');
var _log = require('../../common/log');
var _logfile = require('./log-file');
describe("log File", () => {
  afterAll(() => {
    _nodefs.rmSync.call(void 0, `${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    _log.getGlobalLogger.call(void 0, ).setHandlers([
      _logfile.LoggerFileHandler.call(void 0, path, {
        level: _log.LogLevelAll,
        filter: "*"
      })
    ]);
    const log = _log.DefaultLogger.call(void 0, "test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await _promise.sleep.call(void 0, 1e3);
    expect(_nodefs.statSync.call(void 0, path).size).toBeGreaterThan(100);
    _nodefs.unlinkSync.call(void 0, path);
  });
});
//# sourceMappingURL=log-file.spec.cjs.map