"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }var _nodetty = require('node:tty'); var _nodetty2 = _interopRequireDefault(_nodetty);
var _nodeprocess = require('node:process'); var _nodeprocess2 = _interopRequireDefault(_nodeprocess);
var _convert = require('../../common/data/convert');
var _logbase = require('../../common/log/log-base');
var _logfilter = require('../../common/log/log-filter');
var _time = require('../../common/time');
var _logutil = require('./log-util');
function shouldUseColor() {
  try {
    return _convert.valueToBoolean.call(void 0, _nodeprocess2.default.env.ZEED_COLOR, _nodetty2.default.isatty(_nodeprocess2.default.stdout.fd));
  } catch (err) {
  }
  return false;
}
let defaultUseColor;
const colors = [6, 2, 3, 4, 5, 1];
function nodeSelectColorByName(namespace) {
  let hash = 0;
  for (let i = 0; i < namespace.length; i++) {
    hash = (hash << 5) - hash + namespace.charCodeAt(i);
    hash |= 0;
  }
  return colors[Math.abs(hash) % colors.length];
}
const namespaces = {};
let startTime;
function log(...args) {
  _nodeprocess2.default.stdout.write(`${_convert.renderMessages.call(void 0, args)}
`);
}
const TTY_STYLE = {
  BOLD: "\x1B[1m",
  UNBOLD: "\x1B[2m",
  RED: "\x1B[31m",
  GREEN: "\x1B[32m",
  BLUE: "\x1B[34m",
  PURPLE: "\x1B[35m",
  GRAY: "\x1B[37m",
  ORANGE: "\x1B[38;5;208m",
  UNCOLOR: "\x1B[0m"
};
var COLOR = /* @__PURE__ */ ((COLOR2) => {
  COLOR2[COLOR2["RED"] = 1] = "RED";
  COLOR2[COLOR2["GREEN"] = 2] = "GREEN";
  COLOR2[COLOR2["BLUE"] = 4] = "BLUE";
  COLOR2[COLOR2["PURPLE"] = 5] = "PURPLE";
  COLOR2[COLOR2["GRAY"] = 7] = "GRAY";
  COLOR2[COLOR2["ORANGE"] = 8] = "ORANGE";
  return COLOR2;
})(COLOR || {});
const colorEnd = "\x1B[0m";
function colorString(text, colorCode) {
  const colorStart = colorCode === 8 /* ORANGE */ ? TTY_STYLE.ORANGE : `\x1B[3${colorCode < 8 ? colorCode : `8;5;${colorCode}`}m`;
  return `${colorStart}${text}${colorEnd}`;
}
function colorStringList(list, style, bold = true) {
  return list.map((value) => {
    if (typeof value !== "string")
      return value;
    let start = style;
    let end = colorEnd;
    if (bold) {
      start = `${TTY_STYLE.BOLD}${start}`;
      end = `${end}${TTY_STYLE.BOLD}`;
    }
    return `${start}${value}${end}`;
  });
}
function shouldUseStack() {
  try {
    return _convert.valueToBoolean.call(void 0, _nodeprocess2.default.env.ZEED_STACK, false);
  } catch (err) {
  }
  return false;
}
let defaultUseStack;
const loggerStackTraceDebug = "loggerStackTraceDebug-7d38e5a9214b58d29734374cdb9521fd964d7485";
function LoggerNodeHandler(opt = {}) {
  if (defaultUseColor == null)
    defaultUseColor = shouldUseColor();
  if (defaultUseStack == null)
    defaultUseStack = shouldUseStack();
  if (startTime == null)
    startTime = _time.getTimestamp.call(void 0, );
  const {
    level = void 0,
    filter = void 0,
    colors: colors2 = defaultUseColor,
    levelHelper = true,
    nameBrackets = true,
    padding = 0,
    fill = 0,
    stack = defaultUseStack,
    time = true
  } = opt;
  const matchesNamespace = _logfilter.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _logfilter.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const timeNow = _time.getTimestamp.call(void 0, );
    const name = msg.name || "";
    let ninfo = namespaces[name || ""];
    if (ninfo == null) {
      ninfo = {
        color: nodeSelectColorByName(name)
        // time: timeNow
      };
      namespaces[name] = ninfo;
    }
    const timeDiffString = _time.formatMilliseconds.call(void 0, timeNow - startTime);
    let args;
    let displayName = nameBrackets ? `[${name}]` : name;
    if (padding > 0)
      displayName = displayName.padStart(padding, " ");
    if (fill > 0)
      displayName = displayName.padEnd(fill, " ");
    if (colors2) {
      const c = ninfo.color;
      args = [`${colorString(displayName, c)} | `];
      if (msg.level === _logbase.LogLevelWarn)
        args.push(...colorStringList(msg.messages, TTY_STYLE.ORANGE));
      else if (msg.level === _logbase.LogLevelError)
        args.push(...colorStringList(msg.messages, TTY_STYLE.RED));
      else
        args.push(...msg.messages);
      if (time)
        args.push(colorString(`+${timeDiffString}`, c));
    } else {
      args = [displayName, ...msg.messages];
      if (time)
        args.push(`+${timeDiffString}`);
    }
    if (_optionalChain([msg, 'access', _ => _.messages, 'optionalAccess', _2 => _2[0]]) === loggerStackTraceDebug) {
      try {
        console.log(_logutil.getStack.call(void 0, ));
      } catch (err) {
      }
    }
    if (stack) {
      let line = "";
      if (typeof stack === "boolean") {
        line = _logutil.getSourceLocationByPrecedingPattern.call(void 0, 
          ["at Function.", "at null.log (", "at log ("],
          true
        );
        if (!line)
          line = _logutil.getSourceLocation.call(void 0, 0, true);
      } else {
        const depth = typeof stack === "number" ? stack : 3;
        line = _logutil.getSourceLocation.call(void 0, depth, true);
      }
      if (line)
        args.push(colorString(`(${line})`, 7 /* GRAY */));
    }
    const sep = "|";
    const charLevel = ".";
    switch (msg.level) {
      case _logbase.LogLevelInfo:
        if (levelHelper)
          args[0] = `I${sep}${charLevel}   ${args[0]}`;
        log(...args);
        break;
      case _logbase.LogLevelWarn:
        if (levelHelper) {
          args[0] = (colors2 ? colorString(`W${sep}${charLevel}${charLevel}  `, 8 /* ORANGE */) : `W${sep}${charLevel}${charLevel}  `) + args[0];
        }
        log(...args);
        break;
      case _logbase.LogLevelError:
        if (levelHelper) {
          args[0] = (colors2 ? colorString(`E${sep}${charLevel}${charLevel}${charLevel} `, 1 /* RED */) : `E${sep}${charLevel}${charLevel}${charLevel} `) + args[0];
        }
        log(...args);
        break;
      default:
        if (levelHelper)
          args[0] = `D${sep}    ${args[0]}`;
        log(...args);
        break;
    }
  };
}





exports.LoggerNodeHandler = LoggerNodeHandler; exports.colorString = colorString; exports.colorStringList = colorStringList; exports.loggerStackTraceDebug = loggerStackTraceDebug;
//# sourceMappingURL=log-node.cjs.map